import { h } from './index-ecdfb761.js';
import { c as createProviderConsumer } from './state-tunnel-04c0b67a.js';

const Tunnel = createProviderConsumer({}, (subscribe, child) => (h("context-consumer", { subscribe: subscribe, renderer: child })));

function injectContext(Component) {
  Tunnel.injectProps(Component, [
    'apiAtama', 'apiData', 'apiKimlik', 'apiTakvim', 'apiUye', 'apiSozluk', 'logger', 'storage',
    'appContextInvalidator', 'appConfig', 'membership', 'memberships', 'notifier', 'user', 'userSettings', 'theme'
  ]);
}

export { Tunnel as T, injectContext as i };
